tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Cox, Charlie" <c...@cincom.com>
Subject RE: Advice needed on deploying on Tomcat 5.0.25
Date Thu, 10 Jun 2004 17:43:34 GMT
The web.xml requirement changed between 4.24 and 4.29. Once I upgraded to
4.1.29, I needed to add web.xml to a remote directory that I had mapped as a
context otherwise that context would not start. Normally not a problem,
however I only had read access so I had to get the admin to create a WEB-INF
directory with a nearly empty web.xml. This had worked without a web.xml in
4.1.24, so I'm not sure which version actually changed the requirement.

I haven't tried 5.x, so I'm not sure if it requires web.xml or not. 

Charlie

> -----Original Message-----
> From: Shapira, Yoav [mailto:Yoav.Shapira@mpi.com]
> Sent: Wednesday, June 09, 2004 9:40 AM
> To: Tomcat Users List
> Subject: RE: Advice needed on deploying on Tomcat 5.0.25
> 
> 
> Hi,
> A web.xml was a requirement with 4.x in that otherwise it would just use
> defaults.  5.x is the same way, so while web.xml is not strictly
> required by tomcat, it is required by the spec and strongly encouraged.
> 
> 5.x and later versions of 4.x (after 4.1.18) comment out the invoker
> servlet by default.  That's probably why you're seeing your error.  So
> your assertion that your app worked on 4.x is false: it may have worked
> on 4.0.x and 4.1.y where y < 18, but not later version of 4.x.
> 
> You can read more about the invoker servlet and why it was commented out
> in the tomcat faq (jakarta.apache.org/tomcat/faq).
> 
> Yoav Shapira
> Millennium Research Informatics
> 
> 
> >-----Original Message-----
> >From: Edd Dawson [mailto:E.J.Dawson@derby.ac.uk]
> >Sent: Wednesday, June 09, 2004 9:29 AM
> >To: tomcat-user@jakarta.apache.org
> >Subject: Advice needed on deploying on Tomcat 5.0.25
> >
> >Hi
> >
> >I recently installed Tomcat 5.0.25 on my windows laptop.
> >
> >
> >I did have 4.x installed and i copied over my faithful HelloWorld
> >example from 4.x/webapps directory to my new 5.0.25/webapps directory..
> >
> >and it doesn't work! I get the following error :
> >
> >HTTP Status 404 - /hello/servlet/HelloWorld
> >
> >-----------------------------------------------------------------------
> ----
> >-----
> >
> >type Status report
> >
> >message /hello/servlet/HelloWorld
> >
> >description The requested resource (/hello/servlet/HelloWorld) is not
> >available
> >
> >
> >
> >It still works fine on 4.x.
> >
> >So i tried putting the class file in the /class directory of the
> >servlets-examples webapp that came with 5.0.25 and it didn't work until
> >i added its details the web.xml for that app.
> >
> >Now do i HAVE to have a web.xml now i am using 5.0.25 ? as with 4.x it
> >wasn't a requirement.
> >
> >cheers
> >Edd Dawson
> >
> >---------------------------------------------------------------------
> >To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> >For additional commands, e-mail: tomcat-user-help@jakarta.apache.org
> 
> 
> 
> 
> This e-mail, including any attachments, is a confidential business
> communication, and may contain information that is confidential,
proprietary
> and/or privileged.  This e-mail is intended only for the individual(s) to
whom
> it is addressed, and may not be saved, copied, printed, disclosed or used
by
> anyone else.  If you are not the(an) intended recipient, please
immediately
> delete this e-mail from your computer system and notify the sender.  Thank
> you.
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
> For additional commands, e-mail: tomcat-user-help@jakarta.apache.org

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message